
Redmine - Patch #33929

Encrypt / decrypt TOTP secret keys with `rake db:encrypt` / `rake db:decrypt`

2020-08-30 16:00 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Description

Secret keys for two-factor authentication stored in User#twofa_totp_key are encrypted if database_cipher_key is set in

config/configuration.yml. So, rake db:encrypt and rake db:decrypt should also support User#twofa_totp_key.

Related issues:

Related to Redmine - Feature #1237: Add support for two-factor authentication Closed 2008-05-14

Associated revisions

Revision 20005 - 2020-09-05 08:24 - Go MAEDA

Rake tasks db:encrypt and db:decrypt now supports TOTP secret keys (#1237, #33929).

Revision 20006 - 2020-09-05 10:34 - Go MAEDA

Remove mistakenly added database_cipher_key from config/configuration.yml.example (#1237, #33929).

History

#1 - 2020-08-30 16:00 - Go MAEDA

- Related to Feature #1237: Add support for two-factor authentication added

#2 - 2020-09-05 08:25 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r20005 as a part of #1237.

Files
